function onBegin()
        repeat wait(0.05) until getFlag(tostring(arguments)) and getEntity("Player").Y > 325
        while getDarkness() < 1 do
              setDarkness(getDarkness() + 0.01)
              wait()
        end
        setColorGrade("aletris/esoterica/asdf")
        wait(5)
        teleportTo(516416,-356688,"Thanks_for_Playing")
end